import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:sudoku/cubit/game_cubit.dart';
import 'package:sudoku/ui/screens/screen_game.dart';
import 'package:sudoku/ui/screens/screen_parameters.dart';
import 'package:sudoku/ui/widgets/global_app_bar.dart';

class SkeletonScreen extends StatelessWidget {
  const SkeletonScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: const GlobalAppBar(),
      extendBodyBehindAppBar: false,
      body: Material(
        color: Theme.of(context).colorScheme.background,
        child: Container(
          margin: const EdgeInsets.only(
            top: 8.0,
          ),
          child: BlocBuilder<GameCubit, GameState>(
            builder: (BuildContext context, GameState gameState) {
              return gameState.game.isRunning ? const ScreenGame() : const ScreenParameters();
            },
          ),
        ),
      ),
      backgroundColor: Theme.of(context).colorScheme.background,
    );
  }
}
